WHATIS(1)

NOMBRE
whatis - enseña una línea de descripciones de páginas de manuales conectadas

SINOPSIS
whatis [-dlv?V] [-r|-w] [-s listado] [-m sistema[,...]] [-M ruta] [-L localización] [-C fichero] nombre ...

DESCRIPCIÓN
Cada página de manual tienen una descripción breve disponible dentro de ésta. whatis busca nombres de página del manual y enseña la página del manual descrita de cualquier nombre coincidente. El nombre quIzá contiene comodines (-w) o es una expresión regular (-r). Utilizando estas opciones, quizá es necesario para entrecomillar el nombre o escapar (\) los caracteres especiales para detener la shell desde interpretación de éstas. indexa bases de datos son empladas durante la búsqueda, y son actualizadas por el programa mandb. Dependiendo en su instalación, esto quizá está ejecutado por una tarea cronometrada, o quizá requiere ser ejecutado manualmente páginas del manual nuevas que han sido instaladas. Para producir un texto de estilo antiguo que sea base de datos desde la indexación relativa a la base de datos, efectúe la orden: whatis -M rutaman -w '*' | sort > manpath/whatis donde rutaman es una página del manual jerárquica tal como /usr/man.

OPCIONES

-d, --debug
    Muestra información depurativa.

-v, --verbose
    Muestra mensajes detallados de advertencia.

-r, --regex
    Interpret each name as a regular expression. If a name matches any part of a page name, a match will be made. This option causes whatis to be somewhat slower due to the nature of database searches.

-w, --wildcard
    Interpreta cada nombre como un patrón conteniendo comodines de estilo shell. Para una coincidencia a ser hecha, un nombre expandido debe coincidir con el nombre completo de página. Esta opción causa que whatis sea algomás lento que hacerlo naturalmente en búsqueda de base de datos.

-l, --long
    No corta la salida a la anchura del terminal. Normalmente, la salida será truncada al ancho del terminal para evitar resultados indeseables de las secciones de NOMBRE pobremente escritas.

-s listado, --section listado, --section listado
    Busca solo las secciones del manual dadas. listado es una lista de secciones coloreada separadas por comas. Si una entrada en el listado es una sección simple, por ejemplo "3", entonces la lista de descripción enseñada incluirá páginas en secciones "3", "3perl", "3x", y así; mientras si una entrada en el listado tiene una extensión, por ejemplo "3perl", entones la lista solo incluirá páginas dentro de esa parte exacta de la sección del manual.

-m sistema[,...], --systems=sistema[,...]
    If this system has access to other operating system's manual page names, they can be accessed using this option. To search NewOS's manual page names, use the option -m NewOS. The system specified can be a combination of comma delimited operating system names. To include a search of the native operating system's manual page names, include the system name man in the argument string. This option will override the $SYSTEM environment variable.

-M ruta, --manpath=ruta
    Especifica un conjunto alternativo de página del manual delimitado por dos puntos (:) jerárquicos para búsqueda. Por defecto, whatis utiliza la variable de entorno $MANPATH, a no ser que esté vacía o no determinada, en cualquier caso determinará una ruta del man apropiado basado en su variable del entorno $MANPATH.

-L local, --locale=local
    El %programa% normalmente no determinará su actual localización para una llamada a la función C setlocale(3) la cual pregunta varias variables de entorno, posiblemente incluyendo $LC_MESSAGES y $LANG. Para temporalmente sobrescribir el valor determinado, utilice esta opción para suministrar una cadena local directamente al whatis. Anote que no tomará efecto hasta que la búsqueda para páginas actualmente comiencen. Salidas como el mensaje de ayuda siempre será mostrado en la localización inicialmente determinada.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Enseña la versión de información.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Utilización, sintaxis o error del fichero de configuración.

2   Error operacional.

16  Nada fue encontrado coincidendo con el criterio especificado.

ENTORNO

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si tuvo que ser especificado como el argumento a la opción -m.

MANPATH
    Si se establece $MANPATH, su valor es interpretado como la jerarquización de página manual delimitada por dos puntos.

MANWIDTH
    Si se establece $MANWIDTH, su valor es utilizado como la anchura del terminal (vea la opción --long). Si no está establecida, la anchura de la terminal será calculada utilizando el valor de $COLUMNAS, un ioctl(2) si está disponible, o volviendo a los 80 caracteres si todo eso falla.

FICHEROS

/usr/share/man/index.(bt|db|dir|pag)
    Una caché de BD indexado global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible FHS.

/usr/share/man/.../whatis
    Un texto tradicional whatis de BD.

VEA ADEMÁS
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).